import { Router, type IRouter } from "express";
import healthRouter from "./health.js";
import requestsRouter from "./requests.js";
import donorsRouter from "./donors.js";
import statsRouter from "./stats.js";
import whatsappLogRouter from "./whatsappLog.js";

const router: IRouter = Router();

router.use(healthRouter);
router.use(requestsRouter);
router.use(donorsRouter);
router.use(statsRouter);
router.use(whatsappLogRouter);

export default router;
